<?php
require'f_descarcari.php';
require'f_admin.php';
$titlu='Adaugă fișier descarcari'.$x1;
$back[2]='<a href="/admin-adauga-fisiere-descarcari/album/'.$fid.'-'.seo($finfo[2]).'">'.img('administrare.png',1).'Adaugă fișiere descarcari</a>';
require'f_sus.php';
require'f_blocat.php';
$nume=$_POST['nume'];
$link=$_POST['link'];
$pret_com=$_POST['pret_com'];
$pret_rate=$_POST['pret_rate'];
if(blocat($nume))
{
$tip='nume fișier descarcari';
$text=$nume;
require'f_ban.php';
}
if(blocat($link))
{
$tip='link fișier descarcari';
$text=$link;
require'f_ban.php';
}
if(blocat($pmtext))
{
$tip='descriere fișier descarcari';
$text=$pmtext;
require'f_ban.php';
}
if(($fid!=''&&$nume!=''&&$link!=''?$conn->query('INSERT INTO`descarcari_fisiere`SET`de`="'.$de.'",`nume`="'.$nume.'",`link`="'.$link.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`descriere`="'.$pmtext.'",`fid`="'.$fid.'",`raportat`="0"'):false))
{
$pid=$conn->insert_id;
require'f_notificare.php';
$items=$conn->query('SELECT`de`FROM`descarcari_abonati`WHERE`de`!="'.$de.'"');
while($item=$items->fetch_row())
{
notificare('in albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url] de la descarcari, am adăugat fișierul [url=/fisier/id/'.$pid.'-'.seo($nume).']'.$nume.'[/url]!',$item[0],$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="a adăugat la descărcări fișierul [url=/fisier/id/'.$pid.'-'.seo($nume).']'.$nume.'[/url], în albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$lei['descarcari'].' WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Fișierul <a href="/fisier/id/'.$pid.'-'.seo($nume).'">'.htmlspecialchars($nume).'</a> a fost adăugat, iar tu ai primit <strong>'.$lei['descarcari'].'</strong> lei!';
if(preg_match('/[^0-9]/',$pret_com)||mb_strlen($pret_com)>4||preg_match('/[^0-9]/',$pret_rate)||mb_strlen($pret_rate)>4)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii",`de`="'.$de.'",`text`="a încercat să ofere la un fișier de la descărcări ca preț comentarii '.$pret_com.' lei, și ca preț note '.$pret_rate.' lei, fapt pentru care i-au fost retrasi un număr de '.$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0].' lei!",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo'<br />Ai scris un preț incorect, dacă ai introdus alte simboluri care nu pot fi socotite ca și inselatorii, vei primi leii inapoi, vorbeste cu <strong>'.join(', sau cu ',array_map('nume',$id_proprietari)).'</strong> în maxim 24 de ore!';
}
else
{
if($pret_com>0||$pret_rate>0)
{
$conn->query('UPDATE`descarcari_fisiere`SET`pret_com`="'.$pret_com.'",`pret_rate`="'.$pret_rate.'"WHERE`id`="'.$pid.'"');
echo'<br />Ai setat ca preț pentru comentarii suma de <strong>'.$pret_com.'</strong> lei, iar ca preț pentru note, suma de <strong>'.$pret_rate.'</strong> lei!<br />Oricând cineva comentează sau notează acest fișier, ti-se vor retrage din lei aceste sume!';
}
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat albumul, numele, link-ul sau textul fișierului, sau este adăugat un fișier cu acest nume!';
echo$div[0];
require'f_jos.php';